Package com.logicaldoc.core.security.authentication

# Class AccountNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.logicaldoc.core.security.authentication.AuthenticationException
com.logicaldoc.core.security.authentication.AccountNotFoundException

All Implemented Interfaces:
  `Serializable`

public class AccountNotFoundException extends AuthenticationException
Raised when the specified user was not found

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CODE`

## Constructor Summary

Constructors
Constructor
Description
`AccountNotFoundException()`
`AccountNotFoundException(Authenticator authenticator)`
`AccountNotFoundException(Authenticator authenticator, String message)`

## Method Summary

### Methods inherited from class com.logicaldoc.core.security.authentication.AuthenticationException

`getAuthenticator, mustRecordFailure, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CODE

public static final String CODE

See Also:
  - Constant Field Values

## Constructor Details

### AccountNotFoundException

public AccountNotFoundException()

### AccountNotFoundException

public AccountNotFoundException(Authenticator authenticator)

### AccountNotFoundException

public AccountNotFoundException(Authenticator authenticator, String message)